Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain.client
Class FileResourceImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.common.domain.client.FileResourceImpl

All Implemented Interfaces:
  AttributedObject, FileResource, InternalURI, Resource, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class FileResourceImpl

extends ResourceImpl
implements FileResource

Version:
  $Id: FileResourceImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.FileResource
`TYPE_FONT, TYPE_IMAGE, TYPE_JAR, TYPE_JRXML, TYPE_RESOURCE_BUNDLE, TYPE_STYLE_TEMPLATE`

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Constructor Summary
`FileResourceImpl()`

Method Summary
`byte[]` | `getData()`
`java.io.InputStream` | `getDataStream()`
`java.lang.String` | `getFileType()`
`protected java.lang.Class` | `getImplementingItf()`
`java.lang.String` | `getReferenceURI()`
`boolean` | `hasData()`
`boolean` | `isReference()`
`void` | `readData(java.io.InputStream is)`
`void` | `setData(byte[] data)`
`void` | `setFileType(java.lang.String fileType)`
`void` | `setReferenceURI(java.lang.String referenceURI)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURI, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### FileResourceImpl

    public FileResourceImpl()

Method Detail

### getData

    public byte[] getData()

  Specified by:
    `getData` in interface `FileResource`

### setData

    public void setData(byte[] data)

  Specified by:
    `setData` in interface `FileResource`

### readData

    public void readData(java.io.InputStream is)

  Specified by:
    `readData` in interface `FileResource`

### getDataStream

    public java.io.InputStream getDataStream()

  Specified by:
    `getDataStream` in interface `FileResource`

### getFileType

    public java.lang.String getFileType()

  Specified by:
    `getFileType` in interface `FileResource`

### setFileType

    public void setFileType(java.lang.String fileType)

  Specified by:
    `setFileType` in interface `FileResource`

### isReference

    public boolean isReference()

  Specified by:
    `isReference` in interface `FileResource`

### getReferenceURI

    public java.lang.String getReferenceURI()

  Specified by:
    `getReferenceURI` in interface `FileResource`

### setReferenceURI

    public void setReferenceURI(java.lang.String referenceURI)

  Specified by:
    `setReferenceURI` in interface `FileResource`

### hasData

    public boolean hasData()

  Specified by:
    `hasData` in interface `FileResource`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.